×

Give a tip

10407686

Members
  • Content Count

    2
  • Joined

  • Last visited

Community Reputation

0 Neutral

About 10407686

  • Rank
    Freshman
  1. Oh dear, that's too bad. I hope it picks up again at some point. Linux needs a browser like this.
  2. Why do I keep getting this message? I see Maxthon is using Chrome v.17. Really old! When will an update be available? Thanks.